#pragma once
using namespace System;
using namespace System::Runtime::InteropServices;

namespace lkfxdok {
	namespace c {

		ref class LKFAufenthalt;

		public ref class LKFAufenthaltMeldeDiag {
		protected:
			LKFAufenthalt^ _aufenthalt;
			const void* _meldeDiagPointer;
			char _code;
			long _diagIndex;
		internal:
			LKFAufenthaltMeldeDiag(LKFAufenthalt^ aufenthalt, void* meldeDiagPointer);
		public:
			property LKFAufenthaltMeldeDiag^ NextMeldeDiag {
				LKFAufenthaltMeldeDiag^ get(void);
			}

			property String^ Text {
				String^ get(void);
			}

			property String^ TypeText{
				String ^ get(void);
			}

			property String^ Line {
				String^ get(void);
			}

			property String^ Diag {
				String^ get(void);
			}

			property char TypeId {
				char get(void);
			}

			property int DiagIndex {
				int get(void);
			}
		};
	}
}

